% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/aggregation-methods.R
\name{get_aggregation_function}
\alias{get_aggregation_function}
\title{Retrieve aggregation method.}
\usage{
get_aggregation_function(method_name, get_verbose, ...)
}
\arguments{
\item{method_name}{Readable description of the desired aggregation method:
\describe{
  \item{Minimum}{Use \code{"minimum"}.}
  \item{Maximum}{Use \code{"maximum"}.}}}

\item{get_verbose}{Should output be printed to console?}

\item{...}{Other arguments to pass to appropriate meta-path similarity function.}
}
\value{
The output of the desired aggregation method.
}
\description{
For a desired aggregation method, retrieve the function which aggregates the meta-path based similarity scores. This function is a wrapper around \code{get_similarity()}.
}
\seealso{
See the following aggregation functions:
\describe{
  \item{Minimum}{\code{aggregate_minimum()}}
  \item{Maximum}{\code{aggregate_maximum()}}}
}
